Page 5 of 20 FirstFirst ... 3 4 5 6 7 15 ... LastLast
Results 81 to 100 of 390

Thread: ET: Legacy

  1. #81

    Re: ET: Legacy

    @Shownie: yeah, just problem of new tracking system is that Trackbase bot must connect to server (which takes 1 slot). With our implementation server will send to TB information about kills/deaths etc. So there won't be any problem with connecting. This is still in "designing" phase but we have proof-of-concept that almost works.

  2. #82
    Senior Member (Velocity)
    Join Date
    Feb 2010
    Location
    California
    Posts
    234
    Most Recent Awards:

    Re: ET: Legacy

    What does this mean for server owners hosting 2.55 servers?

  3. #83

    Re: ET: Legacy

    There was a discussion about allowing 2.55 clients to connect to ET:L servers and Sol has done it in his previous project ETeng. If we eventually allow this then 2.55 clients will get spammed like there's no tomorrow with something like "WARNING: you are using an outdated client, please go to www.etlegacy.com and download a newer version!"

    (please do not start a flame about 2.55 vs 2.60b vs 2.70)
    http://www.etlegacy.com - Updated version of Wolfenstein: Enemy Territory for Windows, linux, Mac OS X, AROS and OpenBSD

  4. #84
    Senior Member (Velocity)
    Join Date
    Feb 2010
    Location
    California
    Posts
    234
    Most Recent Awards:

    Re: ET: Legacy

    Quote Originally Posted by Radegast View Post
    "WARNING: you are using an outdated client, please go to www.etlegacy.com and download a newer version!"
    Ah like NoQuarter did in previous versions.
    Quote Originally Posted by Radegast View Post
    (please do not start a flame about 2.55 vs 2.60b vs 2.70)
    ha, no worries. its just good to know who is trying to drop support for 2.55. debating apples and oranges is pointless.


    Some humble suggestions to Dev team:
    1) It would be nice to see the warning indicator not installed, if 2.55 is supported. Somebody will just get motivated to start another mod or equalone type project to support 2.55 clients (40% of the community)
    2) For the love of God, please compile linux with glibc 2.3 so that gameservers.com can use the mod. Otherwise this will become a Europe-only mod.
    Compiling in the latest glibc version does not take into account major game hosts that use older glibc.
    Last edited by cheesy; 30th Apr 2012 at 16:38.

  5. #85

    Re: ET: Legacy

    You can always compile it by yourself (:

    glibc is kind of problem and linux download is just for preview on page.
    For release we'll do builds for some distros. At least Debian, Fedora and ArchLinux (those we know and use). And maybe ebuild for gentoo and standalone build script.
    If you want, we can even setup package repo for that - that's no problem - just about 50M to 100M for distros.

  6. #86

    Re: ET: Legacy

    Quote Originally Posted by cheesy View Post
    What does this mean for server owners hosting 2.55 servers?
    The ET Source Code Release is version 2.60c, and not 2.55, that is why its not possible.

    Quote Originally Posted by Radegast View Post
    ...
    any possibility to fix up "r_smp" for windows platforms

  7. #87
    I Am More Watcher Dushan's Avatar
    Join Date
    May 2010
    Location
    Aleksinac, Serbia
    Posts
    228
    Most Recent Awards:

    Re: ET: Legacy

    Quote Originally Posted by Gir View Post
    The ET Source Code Release is version 2.60c, and not 2.55, that is why its not possible.
    I believe that its version 2.60d

  8. #88

    Re: ET: Legacy

    Quote Originally Posted by Gir View Post
    any possibility to fix up "r_smp" for windows platforms
    Yea, I can backport SMP support. It's certainly better if it is there fixed than if it is there broken, but I am not sure about the benefits. Dushan thinks it is useful, but the ioquake people think it is useless (remember we are talking here about an improved version of a Quake3-based game, not ET:Xreal). In fact, this is what the lead ioquake developer had to say about it:

    Quote Originally Posted by Zachary o ioquake
    Regular (id software) Quake 3 supported this, and it worked "ok" on old SMP Pentium 500 Machines back in the day.
    So all the SMP code in Quake 3 when the source code was released was designed to improve the game on ancient hardware.
    On modern hardware the built-in SMP support on the id software Quake 3 gives little benefit to, none, or degrades, performance.
    Edit: ehm, I know ET:Xreal is also a Quake3-based game, but I hope you get my point
    http://www.etlegacy.com - Updated version of Wolfenstein: Enemy Territory for Windows, linux, Mac OS X, AROS and OpenBSD

  9. #89

    Re: ET: Legacy

    Quote Originally Posted by Radegast View Post
    Yea, I can backport SMP support. It's certainly better if it is there fixed than if it is there broken, but I am not sure about the benefits. Dushan thinks it is useful, but the ioquake people think it is useless (remember we are talking here about an improved version of a Quake3-based game, not ET:Xreal). In fact, this is what the lead ioquake developer had to say about it:



    Edit: ehm, I know ET:Xreal is also a Quake3-based game, but I hope you get my point
    If adding mutli-core support, its w might benefit by putting the Renderer on its own thread,

    I noticed SDL gets rid of the ET Console ? i really don't see the benefit of SDL, its also slower on Windows platforms, i would rather see true xinput/xaudio2

  10. #90
    I Am More Watcher Dushan's Avatar
    Join Date
    May 2010
    Location
    Aleksinac, Serbia
    Posts
    228
    Most Recent Awards:

    Re: ET: Legacy

    Quote Originally Posted by Gir View Post
    If adding mutli-core support, its w might benefit by putting the Renderer on its own thread,

    I noticed SDL gets rid of the ET Console ? i really don't see the benefit of SDL, its also slower on Windows platforms, i would rather see true xinput/xaudio2
    XInput is for using Xbox 360 joypad. I have ET Windows console along with SDL system. And I used SDL just to make it more other platforms friendly without too much coding
    Last edited by Dushan; 2nd May 2012 at 00:53.

  11. #91

    Re: ET: Legacy

    @Gir: slower on Windows? Why you think so?
    Writing input system from scratch is long time to get it working perfectly...

  12. #92

    Re: ET: Legacy

    what exactly is preventing etpro to work?

  13. #93

  14. #94

    Re: ET: Legacy

    When I asked the iowolfet people about ETPro they told me it just won't work so I haven't even tried. Then I heard ETPro does some nasty memory checks like Mateos said, but after playing with it for a while I think I am getting somewhere. I'll take a closer look at it next month.

    There was an idea of gathering as many people as we can from the modding community and creating ETLPro mod which would aim to mimic ETPro as closely as possible and it may come to that if I fail to make ETPro compatible. We'll see.
    http://www.etlegacy.com - Updated version of Wolfenstein: Enemy Territory for Windows, linux, Mac OS X, AROS and OpenBSD

  15. #95

    Re: ET: Legacy

    Quote Originally Posted by Radegast View Post
    There was an idea of gathering as many people as we can from the modding community and creating ETLPro mod which would aim to mimic ETPro as closely as possible and it may come to that if I fail to make ETPro compatible. We'll see.
    That is the best news i read in many years, go for it guys i have sure people will love it!!!! Keep the good work with that!!!!

  16. #96

    Re: ET: Legacy

    You can maybe contact ETPro author to see if he wants to adapt his mod to ETL

  17. #97

    Re: ET: Legacy

    Quote Originally Posted by Mateos View Post
    You can maybe contact ETPro author to see if he wants to adapt his mod to ETL
    What? ETpro rise from the dead? That will ne news!

  18. #98

    Re: ET: Legacy

    Sorry Mateos but people have already tried to contact bani before but i think he never answer

  19. #99

    Re: ET: Legacy

    Quote Originally Posted by zbzero View Post
    Sorry Mateos but people have already tried to contact bani before but i think he never answer
    I believe he did answer but the problem is related to copyrights

  20. #100

    Re: ET: Legacy

    That's why other option is to write our pro mod...
    ET: Legacy developer - fully compatible ET client/server with security fixes and new features.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •